PHYLO_PIPELINE(1)

NAME
phylo_pipeline - Phylo Pipeline of PALEOMIX suite

SYNOPSIS
paleomix phylo_pipeline <command> [options] [makefiles]

DESCRIPTION
The PALEOMIX pipelines are a set of pipelines and tools designed to aid the rapid processing of High-Throughput Sequencing (HTS) data: The BAM pipeline processes de-multiplexed reads from one or more samples, through sequence processing and alignment, to generate BAM alignment files useful in downstream analyses; the Phylogenetic pipeline carries out genotyping and phylogenetic inference on BAM alignment files, either produced using the BAM pipeline or generated elsewhere; and the Zonkey pipeline carries out a suite of analyses on low coverage equine alignments, in order to detect the presence of F1-hybrids in archaeological assemblages. In addition, PALEOMIX aids in metagenomic analysis of the extracts.

The pipelines have been designed with ancient DNA (aDNA) in mind, and includes several features especially useful for the analyses of ancient samples, but can all be for the processing of modern samples, in order to ensure consistent data processing.

phylo_pipeline is the phylo pipeline of paleomix(1).

OPTIONS

  Commands

phylo_pipeline help
    Display this message.

phylo_pipeline example [...]
    Copy example project to folder.

phylo_pipeline makefile
    Print makefile template.

phylo_pipeline genotype [...]
    Carry out genotyping according to makefile.

phylo_pipeline msa [...]
    Carry out multiple sequence alignment.

phylo_pipeline phylogeny
    Carry out phylogenetic inference.

  Optional arguments

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--to-dot-file=DOT_FILE
    Write dependency tree to the specified dot-file.

  Progress reporting

--progress-ui=PROGRESS_UI
    Select method for displaying the progress of the pipeline: 'running' = Display only currently running nodes; 'progress' = Display changes in state; 'summary'; one-line summary only. [Default is 'running']

--ui-colors=UI_COLORS
    Enable, disable, or force the use of color codes when printing the command-line UI. Unless forced, colors will only be printed if STDOUT is a TTY [Default is 'on']

  Logging

--log-file=LOG_FILE
    Create the specified log-file and write any messages to this file. By default, a log-file will be generated in the folder specified using --temp-root, but only when messages are logged

--log-level=LOG_LEVEL
    Log messages to log-file at and above the specified level; one of 'info', 'warning', 'error', or 'debug' [warning]

  Scheduling

--samtools-max-threads=SAMTOOLS_MAX_THREADS
    Maximum number of threads to use when genotyping or building pileups [1]

--examl-max-threads=EXAML_MAX_THREADS
    Maximum number of threads to use for each instance of ExaML [1]

--max-threads=MAX_THREADS
    Maximum number of threads to use in total [4]

--dry-run
    If passed, only a dry-run in performed, the dependency tree is printed, and no tasks are executed.

  Required paths:

--temp-root=TEMP_ROOT
    Location for temporary files and folders [/tmp/USERNAME/phylo_pipeline]

--samples-root=SAMPLES_ROOT
    Location of BAM files for each sample [./data/samples]

--regions-root=REGIONS_ROOT
    Location of BED files containing regions of interest [./data/regions]

--prefix-root=PREFIX_ROOT
    Location of prefixes (FASTAs) [./data/prefixes]

--refseq-root=REFSEQ_ROOT
    Location of reference sequences (FASTAs) [./data/refseqs]

--destination=DESTINATION
    The destination folder for result files [./results]

  Files and executables:

--list-input-files
    List all input files used by pipeline for the makefile(s), excluding any generated by the pipeline itself.

--list-output-files
    List all output files generated by pipeline for the makefile(s).

--list-executables
    List all executables required by the pipeline, with version requirements (if any).

  Config files:

--write-config-file
    Write config using current settings to $HOME/.paleomix/phylo_pipeline.ini

SEE ALSO
paleomix(1)

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.